Ask Your Question
0

rosdep install error

asked 2012-02-21 05:21:07 -0600

Kei Okada gravatar image

Hi,

I had following error when install rosdep to my oneiric-amd64 machine. Does anyone know what is the problem?

sudo easy_install -U rosdep
Searching for rosdep
Reading http://pypi.python.org/simple/rosdep/
Reading http://www.ros.org/wiki/rosdep
Reading http://pr.willowgarage.com/downloads/rosdep/
Best match: rosdep 0.8.0
Downloading http://pypi.python.org/packages/source/r/rosdep/rosdep-0.8.0.tar.gz#md5=09e0e4f52ba813ab540aac5715524e86
Processing rosdep-0.8.0.tar.gz
Running rosdep-0.8.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-C_3LU7/rosdep-0.8.0/egg-dist-tmp-rb_MJH
Traceback (most recent call last):
Downloading http://pypi.python.org/packages/source/r/rosdep/rosdep-0.8.0.tar.gz#md5=09e0e4f52ba813ab540aac5715524e86
Processing rosdep-0.8.0.tar.gz
Running rosdep-0.8.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-C_3LU7/rosdep-0.8.0/egg-dist-tmp-rb_MJH
Traceback (most recent call last):
  File "/usr/bin/easy_install", line 9, in <module>
    load_entry_point('distribute==0.6.16dev-r0', 'console_scripts', 'easy_install')()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1912, in main
    with_ei_usage(lambda:
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1893, in with_ei_usage
    return f()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1916, in <lambda>
    distclass=DistributionWithoutHelpCommands, **kw
  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 364, in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 604, in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 634, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 824, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1101, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1090, in run_setup
    run_setup(setup_script, args)
  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 29, in run_setup
    lambda: execfile(
  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 70, in run
    return func()
  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 31, in <lambda>
    {'__file__':setup_script, '__name__':'__main__'}
  File "setup.py", line 6, in <module>
  File "src/rosdep2/__init__.py", line 38, in <module>

  File "src/rosdep2/installers.py", line 39, in <module>
ImportError: No module named rospkg.os_detect
edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
3

answered 2012-02-21 07:44:52 -0600

kwc gravatar image

You need to "pip install -U rospkg"

I'm fixing an issue right now that will make this problem go away with the next update.

edit flag offensive delete link more

Comments

It worked for me, but had to use 'rosmake --pre-clean'.

Enrique gravatar imageEnrique ( 2012-05-31 23:35:54 -0600 )edit
0

answered 2012-02-21 07:24:40 -0600

sissow2 gravatar image

I dont think you have to easy_install rosdep; isn't it a part of the package that you download?

source: http://www.ros.org/wiki/electric/Installation/Ubuntu

edit flag offensive delete link more

Comments

2

rosdep 2 is now a standalone tool and has a different architecture. So Kei is referring to the Fuerte version

kwc gravatar imagekwc ( 2012-02-21 07:46:14 -0600 )edit

Does it mean that in the future, rosdep 2 will not be included in the deb and therefore should always be installed by pip? What will happen for the "normal" user?

Stéphane Magnenat gravatar imageStéphane Magnenat ( 2012-03-20 23:34:36 -0600 )edit

rosdep is now equivalent to 'rosinstall' for the normal user. Both are install outside of a distribution so that they can be upgraded continuously (e.g. to deploy new platform support more easily)

kwc gravatar imagekwc ( 2012-03-21 06:26:06 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2012-02-21 05:21:07 -0600

Seen: 946 times

Last updated: Feb 21 '12